<h1 data-cy="createServiceHeader">Anslut tjänst</h1>

<div class="yellow-card p-2">
  <p class="Sub yellow-info w-100">– Nu du! Nu har du kommit till det sista och viktigaste steget. Att beskriva vilka du vill nå och vad din arbetsmarknadstjänst faktiskt erbjuder och innebär. Välj alternativen som passar bäst, använd ord som personen kan tänkas söka på, och beskriv din tjänst på ett tydligt och inspirerande sätt.</p>
</div>

<form #theForm="ngForm" novalidate>
  <div class="mt-5 card">

    <div class="tick-line"></div>
    <div class="card-body">

      <div class="row mt-4">
        <div class="col form-group">
          
          <i class="tick far fa-check-circle"></i>
          <h3 class="H3-Left target-header">Vilka vill du nå?</h3>
          <div class="row ml-1 btn-group target-group-radio" ngbRadioGroup name="radioBasic">
            <div class="col-4 custom-control custom-radio custom-control-inline">
              <input type="radio" id="targetGrRadioInline2" name="targetGrRadio" class="custom-control-input"
                     required="required"
                     value="WORKER"
                     (change)="resetCategories()"
                     [(ngModel)]="model.service.targetGroup" 
                     #targetGroupModel="ngModel"
                     data-cy="arbetstagare">
              <label class="custom-control-label" for="targetGrRadioInline2">Arbetstagare</label>
            </div>
            <div class="col-6" style="font-family: Rubik;">- Personer med jobb, personer utan jobb, egenföretagare</div>
            <div class="col-4 mt-5 custom-control custom-radio custom-control-inline">
              <input type="radio" id="targetGrRadioInline1" name="targetGrRadio" class="custom-control-input"
                     required="required"
                     value="EMPLOYER" 
                     (change)="resetCategories()"
                     [(ngModel)]="model.service.targetGroup" 
                     #targetGroupModel="ngModel"
                     data-cy="arbetsgivare">
              <label class="custom-control-label" for="targetGrRadioInline1">Arbetsgivare</label>
            </div>
            <div class="col-6 mt-5" style="font-family: Rubik;">- Företag, verksamheter</div>
          </div>
        </div>
      </div>

      <div class="mt-5 row">
        <div class="col-lg-12">
          <i class="tick far"
             [class.fa-circle]="theForm.form.controls['categories']?.invalid"
             [class.fa-check-circle]="theForm.form.controls['categories']?.valid"
             [class.tick-invalid]="theForm.form.controls['categories']?.dirty && theForm.form.controls['categories']?.invalid"></i>
          <h3 class="H3-Left target-header" id="categories">Vad är det för typ av tjänst?</h3>
          <div class="form-group">
            <app-categories 
              [theForm]="theForm" 
              [service]="model.service"
              [targetGroup]="model.service.targetGroup" 
              (changedCategory)="changeCategory($event)">
            </app-categories>
          </div>
        </div>
      </div>
      
    </div>
    <div class="card-body aqua-backgrund">

<!-- lol -->
      <div class="row mt-4">
        <div class="col-8 form-group">
          <i class="tick far"
             [class.fa-circle]="urlModel.invalid"
             [class.fa-check-circle]="urlModel.valid"
             [class.tick-invalid]="urlModel.dirty && urlModel.invalid"></i>
          <h3 class="H3-Left"><label for="url">Länk till tjänsten <b>*</b></label></h3>
          <div class="input-group">
            <div class="input-group-prepend" *ngIf="model.service.homepage">
              <div class="input-group-text" id="btnGroupFavicon">
                <img [src]="'https://www.google.com/s2/favicons?domain_url='+model.service.homepage" alt="favicon" class="favicon-img">
              </div>
            </div>
            <input type="url" class="form-control" id="url" name="url" placeholder="https://www"
                   #urlModel="ngModel" required
                   [(ngModel)]="model.service.homepage" data-cy="url">
          </div>
        </div>
      </div>
      <div class="row">
        <app-info-box class="col-11">
          Klicka nedan för att hämta info om tjänsten direkt från länken. Du kan sen redigera texten fritt.
        </app-info-box>
        <div class="col-12 mt-2 d-flex justify-content-center">
          <button class="btn btn-primary scrape-btn" data-cy="getServiceMetaData" (click)="getServiceData(model.service.homepage)">HÄMTA INFO</button>
        </div>

        <div class="col-lg-12 align-self-center" *ngIf="loadingData">Laddar...</div>
      </div>


      <div class="row mt-5">
        <div class="col-8 form-group">
          <i class="tick far"
             [class.fa-circle]="nameModel.invalid"
             [class.fa-check-circle]="nameModel.valid"
             [class.tick-invalid]="nameModel.dirty && nameModel.invalid"></i>
          <h3 class="H3-Left"><label for="name">Namn <b>*</b></label></h3>
          <input type="text" class="form-control" id="name" name="name" placeholder="Namn på tjänsten" data-cy="name"
                 [(ngModel)]="model.service.name" #nameModel="ngModel" required maxlength="64">
          <small id="titelHelp" [hidden]="nameModel.valid || nameModel.pristine"
                 class="alert alert-danger form-text text-muted">
            Ge tjänsten ett namn.
          </small>
        </div>
      </div> 

      <div class="row mt-5">
        <div class="col-12">
          <i class="tick far"
             [class.fa-circle]="shortDescriptionModel.invalid"
             [class.fa-check-circle]="shortDescriptionModel.valid"
             [class.tick-invalid]="shortDescriptionModel.dirty && shortDescriptionModel.invalid"></i>
          <div class="form-group">
            <h3 class="H3-Left"><label for="shortDescription">Sammanfattning <b>*</b></label></h3>
            <textarea class="form-control input-field" id="shortDescription" name="shortDescription"
                      aria-describedby="shortDescriptionHelp" data-cy="shortDescription"
                      placeholder="Kort sammanfattning av tjänsten" [(ngModel)]="model.service.shortDescription" rows="3" required
                      maxlength="240"
                      #shortDescriptionModel="ngModel"></textarea>
            <small id="shortDescriptionHelp" [hidden]="shortDescriptionModel.valid || shortDescriptionModel.pristine"
                   class="alert alert-danger form-text text-muted">
                   Skriv en sammanfattning av tjänsten.
            </small>
          </div>
          <p class="text-right">
            {{model.service.shortDescription?.length}} av max 240 tecken
          </p>
        </div>
      </div>

      <div class="row mt-5">
        <div class="col-12">
          <div class="form-group">
            <i class="tick far"
               [class.fa-circle]="descriptionModel.invalid"
               [class.fa-check-circle]="descriptionModel.valid"
               [class.tick-invalid]="descriptionModel.dirty && descriptionModel.invalid"></i>
            <h3 class="H3-Left"><label for="description">Beskrivning <b>*</b></label></h3>
            <textarea class="form-control input-field" id="description"
                      name="description" required maxlength="1500" aria-describedby="descriptionHelp"
                      placeholder="Utförlig beskrivning av tjänsten" data-cy="description"
                      [(ngModel)]="model.service.description" rows="7" #descriptionModel="ngModel"></textarea>
            <small id="descriptionHelp" [hidden]="descriptionModel.valid || descriptionModel.pristine"
                   class="alert alert-danger form-text text-muted">
                   Beskriv tjänsten mer utförligt.
            </small>
          </div>
          <p class="text-right">
            {{model.service.description?.length}} av max 1500 tecken
          </p>
        </div>
      </div>

      <div class="mt-5 row">
        <div class="col">
          <i class="tick far"
             [class.fa-circle]="logoUrlNgModel.invalid"
             [class.fa-check-circle]="logoUrlNgModel.valid"
             [class.tick-invalid]="logoUrlNgModel.dirty && logoUrlNgModel.invalid"></i>

          <h3 class="H3-Left" id="logoUrlModel">Bild för tjänst<b>*</b></h3>
        </div>
      </div>

      <div class="mt-2 mb-5 row pb-2">
        <div class="col-12">
          <app-image-picker #childComponent
            [image]="model.service.logoUrl"
            (uploaded)="newImageUploade($event)"
            (deleted)="imageDeleted($event)" >
          </app-image-picker>
          <input type="hidden" [(ngModel)]="model.service.logoUrl" name="logoUrlModel" #logoUrlNgModel="ngModel">
        </div>
      </div>

    </div>

    <div class="card-body">
      <div class="row mt-5" *ngIf="this.asyncIndustries | async; let industries; else loading">
        <div class="col-12">
          <i class="tick tick-optional fas fa-circle"></i>
          <h3 class="H3-Left">
            <label for="tagsInput">Branscher</label>
          </h3>
          <div class="custom-control custom-checkbox">
            <div class="mt-2" *ngFor="let industry of industries; let idx = index">
              <input 
              type="checkbox" 
              class="custom-control-input"
              [ngModel]="selectedIndustries[industry.identifier]"
              (change)="changeIndustry(industry.identifier, $event, industry.title)"
              [name]="'industries'+idx"
              [id]="industry.identifier"
              data-cy="industries">
              <label class="custom-control-label" [for]="industry.identifier">{{industry.title}}</label>
            </div>
          </div>
        </div>
      </div>
      <div class="row mt-4">
        <div class="col-12">
          <div class="form-group">
            <i class="tick tick-optional fas fa-circle"></i>
            <h3 class="H3-Left">
              <label for="tagsInput">Taggar</label>
            </h3>
            <app-info-box>
                Lägg till de taggar som bäst beskriver tjänsten, anpassat efter vad din målgrupp kan tänkas söka på. Separera taggar med kommatecken eller mellanslag.
            </app-info-box>

            <tag-input class="mt-2 input-field tags" theme='light' id="tagsInput" name="_tags" [required]="false"
                       [(ngModel)]="model.service.tags" data-cy="addTags"
                       [errorMessages]="errorMessages" [validators]="validators"
                       (onAdd)="tagProgress()" (onRemove)="tagProgress()"
                       [onAdding]="convertToLower" [addOnPaste]="true" [addOnBlur]="true"
                       [separatorKeys]="[',',';',' ']" [separatorKeyCodes]="[9]" [modelAsStrings]="true"
                       placeholder="+ Tagg" secondaryPlaceholder="Ämne, omfattning, målgrupp">
              <tag-input-dropdown></tag-input-dropdown>
            </tag-input>
          </div>
          <p>
            <ngb-progressbar type={{progressType}} [value]="model.service.tags.length*10"></ngb-progressbar>
          </p>
        </div>
      </div>

      <div class="mt-5 row">
        <div class="col">
          <h3 class="H3-Left">Sociala medier</h3>
        </div>
      </div>

      <div class="row">
        <div class="col-12 form-group">
          <i class="tick tick-optional fas fa-circle"></i>
          <i class="tick tick-optional fas fa-circle"
             [class.tick-invalid]="youtubeModel.dirty && youtubeModel.invalid"></i>
          <label for="youtubeInput">Youtube-länk</label>
          <div class="input-group">
            <div class="input-group-prepend">
            <span class="input-group-text" id="youtubeInput-addon">
              <i class="fab fa-youtube-square"></i>
            </span>
            </div>
            <input type="url" class="form-control" id="youtubeInput" name="youtube" placeholder="https://youtu.be/"
                   [(ngModel)]="model.service.youtube" #youtubeModel="ngModel" data-cy="youtube"
                   pattern="^.*(youtu.be\/|v\/|embed\/|watch\?|youtube.com\/user\/[^#]*#([^\/]*?\/)*)\??v?=?([^#\&\?]*).*">
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-12 form-group">
          <i class="tick tick-optional fas fa-circle"></i>
          <label for="twitterInput"> Facebook</label>
          <div class="input-group">
            <div class="input-group-prepend">
            <span class="input-group-text" id="twitterInput-addon">
              <i class="fab fa-twitter-square"></i>
            </span>
            </div>
            <input type="text" class="form-control" id="twitterInput" name="twitter" placeholder="https://facebook.com/"
                   [(ngModel)]="model.service.socialTwitter" data-cy="socialTwitter">
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-12 form-group">
          <i class="tick tick-optional fas fa-circle"></i>
          <label for="instagramInput">Instagram</label>
          <div class="input-group">
            <div class="input-group-prepend">
            <span class="input-group-text" id="instagram-addon1">
              <i class="fab fa-instagram"></i>
            </span>
            </div>
            <input type="text" class="form-control" id="instagramInput" name="instagram" placeholder="https://instagram.com/"
                   [(ngModel)]="model.service.socialInstagram" data-cy="socialInstagram">
          </div>
        </div>
      </div>

      <div class="row">
        <div class="col-12 form-group">
          <i class="tick tick-optional fas fa-circle"></i>
          <label for="linkedInInput">LinkedIn</label>
          <div class="input-group">
            <div class="input-group-prepend">
            <span class="input-group-text" id="linkedIn-addon1">
              <i class="fab fa-linkedin"></i>
            </span>
            </div>
            <input type="text" class="form-control" id="linkedInInput" name="linkedIn" placeholder="https://linkedin.com/"
                   [(ngModel)]="model.service.socialLinkedIn" data-cy="socialLinkedIn">
          </div>
        </div>
      </div>

    </div>
  </div>
</form>

<div class="row justify-content-center mt-3 mb-5">
  <div class="col-6 text-center">
    <button class="btn btn-secondary btn-wide" (click)="onBackClicked()">TILLBAKA</button>
  </div>
  <div class="col-6 text-center">
    <button class="btn btn-primary btn-wide" data-cy="createService" (click)="onReady(theForm)">ANSLUT TJÄNST</button>
  </div>
</div>
<div class="extra-padding"></div>

<!-- [disabled]="theForm.form.invalid" -->

<!--<pre>status:{{theForm.form.status | json}}</pre>-->
<!--<pre>value:{{theForm.form.value | json}}</pre>-->
<!--<pre>errors:{{theForm.form.errors | json}}</pre>-->

<ng-template #loading>Laddar...</ng-template>
